XFCE 4.10 no Debian Wheezy (via repos Testing ou Unstable)


E finalmente o XFCE 4.10 entrou nos repos Jessie/Testing e SID/Unstable, para variar veremos como adicioná-lo ao Debian Wheezy.

Este how-to substitui e por mim (invalida) todos os outros até aqui publicados e que são os seguintes:

Contudo, cabe a cada um de vocês escolher o meio que melhor atende suas necessidades|conhecimento e etc.

Instalação.

Em seu Debian Wheezy, comece atualizando suas listas de pacotes e atualizando todo o sistema:

# apt-get update
# apt-get dist-upgrade

Este slideshow necessita de JavaScript.

A seguir insira em seu sources.list (ou crie um arquivo em /etc/apt/sources.list.d/) com as seguintes entradas:

deb http://sft.if.usp.br/debian/ jessie main contrib non-free
deb http://sft.if.usp.br/debian-security/ jessie/updates main contrib non-free
ou…

deb http://sft.if.usp.br/debian/ sid main contrib non-free
meu sources.list modificado.
meu sources.list modificado.
Tendo salvo o arquivo, prossiga com os seguintes comandos:

# apt-get update
E escolha um dos 3 tipos de instalação propostos abaixo:

A instalação mínima…

# apt-get install xfce4
instalação mínima...
instalação mínima…
A instalação recomendada…

# apt-get install xfce4 xfce4-goodies
instalação recomendada...
instalação recomendada…
A instalação completa…

# apt-get install xfce4 xfce4-goodies thunar-archive-plugin thunar-media-tags-plugin thunar-volman thunar-gtkhash gtk3-engines-xfce libxfce4util-bin tango-icon-theme xfce4-notifyd libnotify-bin xfwm4-themes gigolo parole
instalação completa...
instalação completa…
Aqui optei pela última…

início da instalação...
início da instalação…
atualização da libc...
atualização da libc…
questionamento sobre reinício de serviços, tecle ENTER...
questionamento sobre reinício de serviços, tecle ENTER…
tecle ENTER...
tecle ENTER…
continuação da instalação...
continuação da instalação…
término da instalação...
término da instalação…
Após o encerramento da minha sessão OpenBox, vejam o novo XFCE 4.10, já um pouco configurado pois herdou as configurações anteriores:

Debian Wheezy + XFCE 4.10 + Thunar 1.6.3 + Media Player Parole + Terminator & Screenfetch + composição do Desktop via Compton.
Debian Wheezy + XFCE 4.10 + Thunar 1.6.3 + Media Player Parole + Terminator & Screenfetch + composição do Desktop via Compton.
Referências (obsoletas).

Anúncios
XFCE 4.10 no Debian Wheezy (via repos Testing ou Unstable)

26 comentários sobre “XFCE 4.10 no Debian Wheezy (via repos Testing ou Unstable)

    1. edps disse:

      Fez tudo mesmo? hummm…

      É o seguinte chapa: todo o processo foi realizado com um sistema pré-instalado, sendo os pacotes atualizados e|ou instalados.

      Você por acaso instalou algum Display Manager? tipo o GDM3, LightDM e etc?

      Porque sem um deles o sistema não irá iniciar, exceto se você usar:

      $ startx

      E isso supondo que você instalou o xorg corretamente.

      # apt-get update
      # apt-get install xserver-xorg lightdm lightdm-gtk-greeter

      Curtir

  1. mcnd2 disse:

    Depois de dar uma pane de energia e desligando meu sistema Debian como se fosse uma ‘guilhotina’, o KDE ficou com alguns comportamentos estranhos em alguns aspectos notados pelo meu uso. Resolvi instalar o XFCE e o iniciou sem problema algum após eu reiniciar o sistema.

    Vou para uma breve ‘tour’ no xfce…

    Curtir

    1. edps disse:

      Eu estou usando o XFCE no SID e está muito bom mesmo! o único problema é com o cartão SD no Android que tá foda de reconhecer (isso é o tal do MTP), já tive o mesmo problema no Arch Linux.

      O estranho é que o Siduction com KDE (também Debian SID) reconhece e monta sem frescuras (igual aquelas minas da VM) rs

      Curtir

  2. jumesyn disse:

    tem algum problema em instalar esses pacotes la da tua dica do openbox parte 1:

    desktop-base gnome-keyring gvfs gvfs-backends lightdm lightdm-gtk-greeter policykit-1 policykit-1-gnome

    por essa repo:

    deb http://sft.if.usp.br/debian/ sid main contrib non-free

    vai dar algum problema depois que eu desabilitar essa repo acima?

    Curtir

    1. edps disse:

      O problema é que são pacotes do SID, então usando-os no Wheezy muitos pacotes serão atualizados para essa release, se ainda asim quiser seguir adiante, desabilitar esse repositório por um lado impedirá que todos os outros pacotes sejam atualizados para o SID, mas ainda assim esses pacotes que você instalou deixarão de ser atualizados (receber atualizações de segurança, etc) por terem versões mais atuais (embora com bugs) vindos do SID.

      Curtir

  3. jumesyn disse:

    depois da instalaçao completa do xfce, aqui não é possivel instalar o gedit, cheese e etc…

    Os pacotes a seguir tem dependencias desencontradas:
    gedit : Depende: python-gi-cairo (>= 3.0) mas não será instalado

    sabe o que significa isso?, como proceder?

    Curtir

    1. edps disse:

      Você desabilitou o repositório no sources.list?
      Você atualizou completamente o sistema com o repo habilitado?

      Quando se usa repos instáveis num Debian estável, instamos o programa e depois desabilitamos os repos, afim de não ocorrer esses erros.

      Curtir

  4. jumesyn disse:

    o problema que eu descrevi no meu post anterior é facilmente resolvido instalando todos os pacotes que eu quero/preciso antes de instalar o DM xfce, foi assim que eu fiz com o ia32libs, gedit, temas e etc…
    no mais, sabes como instalar um gerenciador de bluetooth no xfce?

    Curtir

  5. Wheezy disse:

    oi edps
    quando eu instalo qualquer pacote do Jessie,o debian não aceita mais as aplicações i386
    por exemplo,instalei o thunar 1.6 no meu xfce 4.8 (debian wheezy)
    logo,o mesmo parou de aceitar programas i386,o cisco packet tracer por exemplo,não consigo instalar ele após instalar o thunar 1.6 ou xfce 4.10
    pode me dar um help?
    abraço

    Curtir

    1. edps disse:

      Abra um post no fórum do VOL, lá é o melhor lugar para dirimir certos tipos de dúvidas.

      * se seu Debian é um amd64 não vai instalar mesmo a menos que você siga isso:

      http://gnutwoall.wordpress.com/2013/07/19/multiarch-suporte-no-debian/

      Noutras vezes, pode ser que você tenha atualizado o sistema com os repos do SID ou do Jessie habilitados, na dica está explicado (instala os pacotes, depois comenta ou remove os repositórios mais atualizados).

      Curtir

Deixe um comentário

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s